#!/bin/sh

## ************ Begin Standard Header - Do not add comments here ***********
## 
## File:     install.sh
## Version:  1.0
## Modified: Feb/15/2006
## Build:    1 0
## 
## "This sample program is provided AS IS and may be used, executed,
##  copied and modified without royalty payment by customer (a) for its 
##  own instruction and study, (b) in order to develop applications 
##  designed to run with Solution Installation for Autonomic Computing,
##  either for customer's own internal use or for redistribution by
##  customer, as part of such an application, in customer's own products."
## 
## ACOM-SIT
## 
## (C) COPYRIGHT IBM CORP. 2006.
## All Rights Reserved * Licensed Materials - Property of IBM
## 
## ************************* End Standard Header ***************************
ENVIRONMENT=/var/ibm/common/acsi/setenv.sh
HOMEPATH=`dirname $0`

if [ -z "$ACU_COMMON" ] ; then
    if [ -f  $ENVIRONMENT ] ; then
        . $ENVIRONMENT
    else
        echo "Before calling this installation script please call setenv.sh"
        exit 1
    fi
fi

echo "#######################################################################"
echo "# Starting installation of: Tivoli Federated Identity Manager Fixpack #"
echo "#######################################################################"

manageIU.sh -o update -r /opt/IBM/FIM -p $HOMEPATH/../META-INF/packagedIU.xml -i $HOMEPATH/variables -u true

